Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cryptopro
Class ECGOST3410NamedCurves

    java.lang.Object
      org.bouncycastle.asn1.cryptopro.ECGOST3410NamedCurves

public class ECGOST3410NamedCurves
extends java.lang.Object

table of the available named parameters for GOST 3410-2001 / 2012.

Constructor Summary
`ECGOST3410NamedCurves()`

Method Summary
`static X9ECParametersHolder` | `getByNameLazy(java.lang.String name)`
`static X9ECParameters` | `getByNameX9(java.lang.String name)`
`static X9ECParametersHolder` | `getByOIDLazy(ASN1ObjectIdentifier oid)`
`static X9ECParameters` | `getByOIDX9(ASN1ObjectIdentifier oid)`
`static java.lang.String` | `getName(ASN1ObjectIdentifier oid)` return the named curve name represented by the given object identifier.
`static java.util.Enumeration` | `getNames()` returns an enumeration containing the name strings for parameters contained in this structure.
`static ASN1ObjectIdentifier` | `getOID(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECGOST3410NamedCurves

    public ECGOST3410NamedCurves()

Method Detail

### getByNameX9

    public static X9ECParameters getByNameX9(java.lang.String name)

### getByNameLazy

    public static X9ECParametersHolder getByNameLazy(java.lang.String name)

### getByOIDX9

    public static X9ECParameters getByOIDX9(ASN1ObjectIdentifier oid)

### getByOIDLazy

    public static X9ECParametersHolder getByOIDLazy(ASN1ObjectIdentifier oid)

### getOID

    public static ASN1ObjectIdentifier getOID(java.lang.String name)

### getName

    public static java.lang.String getName(ASN1ObjectIdentifier oid)

  return the named curve name represented by the given object identifier.

### getNames

    public static java.util.Enumeration getNames()

  returns an enumeration containing the name strings for parameters contained in this structure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD